---@meta

---@class ABP_FirstPersonPlayerController_C : ARGPlayerController
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WorldPartitionStreamingSource UWorldPartitionStreamingSourceComponent
---@field CachedDrivenVehicle AVehicleSystemBase
---@field CachedDriver ARGFirstPersonCharacter
---@field PlayerHUD UWG_PlayerHUD_C
---@field ControllersFirstPersonCharacter ABP_FirstPersonCharacter_C
---@field ContainerWidget UW_FrontEnd_C
---@field bVOIPLoopback boolean
---@field bIsTalking boolean
---@field bSkipSplash boolean
local ABP_FirstPersonPlayerController_C = {}

function ABP_FirstPersonPlayerController_C:ConditionallyPollVoice() end
---@param bInIsTalking boolean
function ABP_FirstPersonPlayerController_C:UpdateVOIPTalkingUI(bInIsTalking) end
function ABP_FirstPersonPlayerController_C:FlushVOIPSettings() end
function ABP_FirstPersonPlayerController_C:SkipSplash() end
---@return FString
function ABP_FirstPersonPlayerController_C:GetPresencePlayerStatus() end
function ABP_FirstPersonPlayerController_C:TryToMoveSpectatorCamera() end
---@param NewParam ARGFirstPersonCharacter
function ABP_FirstPersonPlayerController_C:GetCachedDriver(NewParam) end
---@param Leech AActor
---@param DamageSettings FST_Damage_Settings
---@param BPFirstP ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Internal_Leech(Leech, DamageSettings, BPFirstP) end
function ABP_FirstPersonPlayerController_C:PushToTalkReleased() end
function ABP_FirstPersonPlayerController_C:PushToTalkPressed() end
---@param NotificationText FText
function ABP_FirstPersonPlayerController_C:AddHUDNotification(NotificationText) end
---@param Croc AActor
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:Internal_CrocBite(Croc, DamageSettings) end
---@return FString
function ABP_FirstPersonPlayerController_C:GetPresenceString() end
---@return boolean
function ABP_FirstPersonPlayerController_C:IsMenuController() end
---@param Widget UCommonActivatableWidget
function ABP_FirstPersonPlayerController_C:PlayerHudInitialized(Widget) end
---@param HUD_Widget UWG_PlayerHUD_C
function ABP_FirstPersonPlayerController_C:GetPlayerHUDWidget(HUD_Widget) end
---@param Snake AActor
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:Internal_Snakebite(Snake, DamageSettings) end
---@param DamageSettings FST_Damage_Settings
---@param AcceptedDamageTypes FGameplayTagContainer
---@param DamageResults FST_Damage_Results
function ABP_FirstPersonPlayerController_C:CalculateDamage(DamageSettings, AcceptedDamageTypes, DamageResults) end
---@param ActorTarget AActor
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:Internal_HitTarget(ActorTarget, ActorHitting, Hit, ImpulseVector, DamageSettings) end
---@param ExplodeTarget AActor
---@param DamageSettings FST_Damage_Settings
---@param ExplosionRadius float
---@param ApplyImpulse boolean
function ABP_FirstPersonPlayerController_C:Internal_ExplodeTarget(ExplodeTarget, DamageSettings, ExplosionRadius, ApplyImpulse) end
---@param Enable boolean
---@param IMC UInputMappingContext
function ABP_FirstPersonPlayerController_C:SetLookAtIMC(Enable, IMC) end
function ABP_FirstPersonPlayerController_C:AddPlayerHUD() end
---@param Enable boolean
function ABP_FirstPersonPlayerController_C:SetRagdollIMC(Enable) end
---@param Enable boolean
---@param IMC UInputMappingContext
function ABP_FirstPersonPlayerController_C:SetInteractableIMC(Enable, IMC) end
---@param Vehicle ABP_VehicleBase_C
function ABP_FirstPersonPlayerController_C:Internal_ExitVehicle(Vehicle) end
---@param OldPawn APawn
---@param NewPawn APawn
function ABP_FirstPersonPlayerController_C:OnPawnPossessed(OldPawn, NewPawn) end
---@param IsDrivingVehicle boolean
function ABP_FirstPersonPlayerController_C:UpdateMappingContexts(IsDrivingVehicle) end
---@param Vehicle ABP_VehicleBase_C
function ABP_FirstPersonPlayerController_C:Internal_EnterVehicle(Vehicle) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonPlayerController_C:InpActEvt_IA_UI_Generic_Back_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonPlayerController_C:InpActEvt_IA_PushToTalk_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_FirstPersonPlayerController_C:InpActEvt_IA_PushToTalk_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Key FKey
---@param ActionValue FInputActionValue
function ABP_FirstPersonPlayerController_C:InpActEvt_L_K2Node_InputDebugKeyEvent_0(Key, ActionValue) end
---@param ExplodeTarget AActor
---@param DamageSettings FST_Damage_Settings
---@param ExplosionRadius float
---@param ApplyImpulse boolean
function ABP_FirstPersonPlayerController_C:Server_ExplodeTarget(ExplodeTarget, DamageSettings, ExplosionRadius, ApplyImpulse) end
---@param Grill ABP_Interactable_OneTimeGrill_C
function ABP_FirstPersonPlayerController_C:Server_StartGrillOneTime(Grill) end
---@param SpawnTransform FTransform
---@param Class TSubclassOf<AActor>
function ABP_FirstPersonPlayerController_C:Server_SpawnActor(SpawnTransform, Class) end
---@param CrankTarget AActor
---@param SourceCrank ABP_Interactable_Crank_C
function ABP_FirstPersonPlayerController_C:Server_CrankTargetActivated(CrankTarget, SourceCrank) end
---@param ActorTarget AActor
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:Server_HitTarget(ActorTarget, ActorHitting, Hit, ImpulseVector, DamageSettings) end
---@param BeerPack ABP_Interactable_BeerPack_01_C
function ABP_FirstPersonPlayerController_C:BeerUnpack(BeerPack) end
---@param Actor AActor
function ABP_FirstPersonPlayerController_C:Server_DestroyActor(Actor) end
---@param Snake AActor
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:ServerSnakeBite(Snake, DamageSettings) end
---@param ActorTarget ABP_FirstPersonCharacter_C
---@param DamageToHeal FST_Damage_Results
function ABP_FirstPersonPlayerController_C:Server_HealPlayer(ActorTarget, DamageToHeal) end
---@param SpawnTransform FTransform
---@param StartImpulseDirection FVector
function ABP_FirstPersonPlayerController_C:Server_SpawnFoam(SpawnTransform, StartImpulseDirection) end
---@param CheckpointIndex int32
function ABP_FirstPersonPlayerController_C:Client_OnCheckpointReached(CheckpointIndex) end
---@param CrankTarget UObject
---@param SourceCrank ABP_Interactable_Crank_C
---@param Increment double
function ABP_FirstPersonPlayerController_C:Server_CrankTagetIncrement(CrankTarget, SourceCrank, Increment) end
---@param Target UObject
---@param SourceCrank ABP_Interactable_Crank_C
function ABP_FirstPersonPlayerController_C:Server_CrankTargetDeactivated(Target, SourceCrank) end
---@param Croc AActor
---@param DamageSettings FST_Damage_Settings
function ABP_FirstPersonPlayerController_C:ServerCrocBite(Croc, DamageSettings) end
---@param Target UObject
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_FirstPersonPlayerController_C:Server_AssignGamePlaytags(Target, TagsToAdd, TagsToRemove) end
---@param Increment int32
---@param BridgingLadder ABP_Interactable_BridgingLadder_C
function ABP_FirstPersonPlayerController_C:Server_UpdateBridgeLadderStage(Increment, BridgingLadder) end
---@param WinchPole ABP_Interactable_WinchPole_C
---@param WinchPoleHit FHitResult
function ABP_FirstPersonPlayerController_C:Server_SetWinchPole(WinchPole, WinchPoleHit) end
---@param TapePlayer ABP_TapePlayer_C
---@param IsPlaying boolean
function ABP_FirstPersonPlayerController_C:Server_TapeSetPlaying(TapePlayer, IsPlaying) end
---@param TapePlayer ABP_TapePlayer_C
---@param Volume double
function ABP_FirstPersonPlayerController_C:Server_SetVolume(TapePlayer, Volume) end
---@param TapePlayer ABP_TapePlayer_C
---@param TargetIndex int32
function ABP_FirstPersonPlayerController_C:Server_SwitchTape(TapePlayer, TargetIndex) end
---@param TapePlayer ABP_TapePlayer_C
---@param TapeMetaSound UMetaSoundSource
function ABP_FirstPersonPlayerController_C:Server_AddTape(TapePlayer, TapeMetaSound) end
---@param BalloonAttachHit FHitResult
---@param SpawnTransform FTransform
function ABP_FirstPersonPlayerController_C:Server_SpawnBalloon(BalloonAttachHit, SpawnTransform) end
---@param Leech AActor
---@param DamageSettings FST_Damage_Settings
---@param BPFirstP ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:ServerLeech(Leech, DamageSettings, BPFirstP) end
---@param Balloon ABP_Balloon_C
---@param Value double
function ABP_FirstPersonPlayerController_C:Server_PushBalloon(Balloon, Value) end
---@param Lian ABP_Lian_C
---@param Value double
function ABP_FirstPersonPlayerController_C:Server_PushLian(Lian, Value) end
---@param GrabbingPlayer ABP_FirstPersonCharacter_C
---@param Lian ABP_Lian_C
---@param GrabLocation FVector
function ABP_FirstPersonPlayerController_C:Server_GrabLian(GrabbingPlayer, Lian, GrabLocation) end
---@param Lian ABP_Lian_C
---@param ReleasingPlayer ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_ReleaseLian(Lian, ReleasingPlayer) end
---@param Balloon ABP_Balloon_C
function ABP_FirstPersonPlayerController_C:Server_ReleaseBalloon(Balloon) end
---@param SeatableTruckPart ABP_Seatable_TruckPart_01_C
---@param SeatRotation double
function ABP_FirstPersonPlayerController_C:Server_RotateSeat(SeatableTruckPart, SeatRotation) end
---@param Helicopter ABP_Helicopter_C
function ABP_FirstPersonPlayerController_C:Server_HelicopterStartFire(Helicopter) end
---@param Manual ABP_Interactable_HowToManual_C
---@param PageIndex int32
function ABP_FirstPersonPlayerController_C:Server_ChangePage(Manual, PageIndex) end
---@param ScrewHole ABP_ScrewHole_C
---@param Amount double
function ABP_FirstPersonPlayerController_C:Server_UpdateScrewAmount(ScrewHole, Amount) end
---@param AttachPointWheel ABP_Interactable_AttachPoint_Wheel_C
---@param HasWheel boolean
function ABP_FirstPersonPlayerController_C:Server_SetHasWheel(AttachPointWheel, HasWheel) end
---@param ScrewHole ABP_ScrewHole_C
---@param IsScrewedIn boolean
---@param PlayerScrewing ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_IsScrewedIn(ScrewHole, IsScrewedIn, PlayerScrewing) end
---@param ScrewHole ABP_ScrewHole_C
---@param ScrewAmountVisual double
function ABP_FirstPersonPlayerController_C:Server_UpdateScrewVisual(ScrewHole, ScrewAmountVisual) end
---@param ScrewHole ABP_ScrewHole_C
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_StartScrewInAnim(ScrewHole, ScrewingPlayer) end
---@param ScrewHole ABP_ScrewHole_C
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_StartScrewOutAnim(ScrewHole, ScrewingPlayer) end
---@param ScrewHole ABP_ScrewHole_C
---@param ScrewingPlayer ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_StopScrewing(ScrewHole, ScrewingPlayer) end
---@param ScrewHole ABP_ScrewHole_C
function ABP_FirstPersonPlayerController_C:Server_ScrewinCompleted(ScrewHole) end
---@param ScrewHole ABP_ScrewHole_C
---@param ScrewAmount double
function ABP_FirstPersonPlayerController_C:Server_SetScrewAmount(ScrewHole, ScrewAmount) end
---@param Winch ABP_Winch_C
function ABP_FirstPersonPlayerController_C:Server_ResetWinchRope(Winch) end
---@param PowerJackPole ABP_Interactable_PowerJackPole_C
---@param PowerJackHit FHitResult
function ABP_FirstPersonPlayerController_C:Server_SetPowerJackPole(PowerJackPole, PowerJackHit) end
---@param TruckFlipper ABP_Interactable_TruckFlipper_C
---@param Flip boolean
function ABP_FirstPersonPlayerController_C:Server_SetTruckFlipper(TruckFlipper, Flip) end
---@param PowerJackPole ABP_Interactable_PowerJackPole_C
function ABP_FirstPersonPlayerController_C:Server_CollapsePowerJackPole(PowerJackPole) end
---@param Map ABP_Interactable_Map_C
function ABP_FirstPersonPlayerController_C:Server_SetMapCurrentCheckpointIndex(Map) end
---@param Toggle boolean
---@param Manual ABP_Interactable_HowToManual_C
function ABP_FirstPersonPlayerController_C:Server_ToggleManual(Toggle, Manual) end
---@param PlaceableActor AActor
---@param PlacementTransform FTransform
function ABP_FirstPersonPlayerController_C:Server_PlaceActor(PlaceableActor, PlacementTransform) end
---@param Grill ABP_Interactable_Grill_C
function ABP_FirstPersonPlayerController_C:Server_StartGrill(Grill) end
---@param PrevisActorComponent UBP_PrevisActorComponent_C
---@param RotationDegreeOffset double
---@param Hit FHitResult
---@param NewParam ABP_FirstPersonCharacter_C
function ABP_FirstPersonPlayerController_C:Server_RotatePrevis(PrevisActorComponent, RotationDegreeOffset, Hit, NewParam) end
---@param WinchController ABP_Interactable_WinchController_C
---@param UseFrontWinch boolean
function ABP_FirstPersonPlayerController_C:Server_SetWinchControllerTarget(WinchController, UseFrontWinch) end
---@param BurgPack ABP_Interactable_BurgerPack_01_C
function ABP_FirstPersonPlayerController_C:BurgerUnpack(BurgPack) end
---@param TargetVehicle AActor
---@param Time double
---@param Boost double
function ABP_FirstPersonPlayerController_C:Server_AddTurboFuel(TargetVehicle, Time, Boost) end
---@param Target UObject
---@param Time double
---@param Boost double
function ABP_FirstPersonPlayerController_C:Multicast_Addfuel(Target, Time, Boost) end
---@param SpawnTransform FTransform
---@param StartImpulseDirection FVector
function ABP_FirstPersonPlayerController_C:Server_SpawnFlareProjectile(SpawnTransform, StartImpulseDirection) end
---@param TapePlayer ABP_TapePlayer_C
function ABP_FirstPersonPlayerController_C:Server_ForceStopPlaying(TapePlayer) end
---@param TapePlayer ABP_TapePlayer_C
function ABP_FirstPersonPlayerController_C:Server_ForceStartPlaying(TapePlayer) end
---@param TapePlayer ABP_TapePlayer_C
---@param CurrentTapeIndex int32
function ABP_FirstPersonPlayerController_C:Server_ForceSwitchTapeIndex(TapePlayer, CurrentTapeIndex) end
---@param TapePlayer ABP_TapePlayer_C
---@param Tape UMetaSoundSource
function ABP_FirstPersonPlayerController_C:Server_ForceAddTape(TapePlayer, Tape) end
---@param Motor ABP_Motor_01_C
function ABP_FirstPersonPlayerController_C:Server_SpawnMotorWaterDamageFX(Motor) end
---@param FireWork ABP_Interactable_FireWorks_C
---@param FireWorkHit FHitResult
function ABP_FirstPersonPlayerController_C:Server_SetFireWork(FireWork, FireWorkHit) end
---@param FireWork ABP_Interactable_FireWorks_C
function ABP_FirstPersonPlayerController_C:Server_CollapseFireWork(FireWork) end
function ABP_FirstPersonPlayerController_C:ReceiveBeginPlay() end
---@param Vehicle ABP_VehicleBase_C
function ABP_FirstPersonPlayerController_C:Server_EnterVehicle(Vehicle) end
---@param PossessedPawn APawn
function ABP_FirstPersonPlayerController_C:ReceivePossess(PossessedPawn) end
---@param Vehicle ABP_VehicleBase_C
function ABP_FirstPersonPlayerController_C:Server_ExitVehicle(Vehicle) end
---@param ActivatableWidgetClass TSubclassOf<UCommonActivatableWidget>
---@param LayerID FGameplayTag
---@param InitDelegate FPushRGWidgetWithInitInitDelegate
function ABP_FirstPersonPlayerController_C:PushRGWidgetWithInit(ActivatableWidgetClass, LayerID, InitDelegate) end
---@param ActivatableWidgetClass TSubclassOf<UCommonActivatableWidget>
---@param LayerID FGameplayTag
function ABP_FirstPersonPlayerController_C:PushRGWdget(ActivatableWidgetClass, LayerID) end
---@param LayerID FGameplayTag
function ABP_FirstPersonPlayerController_C:PopRGWidget(LayerID) end
---@param DeltaSeconds float
function ABP_FirstPersonPlayerController_C:ReceiveTick(DeltaSeconds) end
---@param Winch ABP_Winch_C
---@param WinchIsActive boolean
---@param WinchIsPulling boolean
---@param WinchIsReleasing boolean
function ABP_FirstPersonPlayerController_C:Server_ToogleWinching(Winch, WinchIsActive, WinchIsPulling, WinchIsReleasing) end
function ABP_FirstPersonPlayerController_C:OnPreSeamlessClientTravel() end
---@param PlayerToSpectate ARGFirstPersonCharacter
function ABP_FirstPersonPlayerController_C:ReceiveSpectatePlayer(PlayerToSpectate) end
function ABP_FirstPersonPlayerController_C:ReceiveStopSpectating() end
function ABP_FirstPersonPlayerController_C:OnPumpiModeUpdated() end
function ABP_FirstPersonPlayerController_C:ConditionallyAddIntroScene() end
function ABP_FirstPersonPlayerController_C:ReceiveExitVehicleOnPawnLeavingGame() end
---@param EntryPoint int32
function ABP_FirstPersonPlayerController_C:ExecuteUbergraph_BP_FirstPersonPlayerController(EntryPoint) end


